POST api/cataloguer/back/attributes/products/{id}/delete

Request Information

URI Parameters

NameDescriptionTypeAdditional information
token

Токен авторизации

string

Required

id

integer

Required

Body Parameters

DeleteAttributesFromProductBackRequest
NameDescriptionTypeAdditional information
category_id

integer

None.

attributes

Collection of ProductAttribute

None.

Request Formats

application/json, text/json

Sample:
{
  "category_id": 2,
  "attributes": [
    {
      "attribute_id": 1,
      "attribute_value_id": 2
    },
    {
      "attribute_id": 1,
      "attribute_value_id": 2
    }
  ]
}

application/x-www-form-urlencoded

Sample:

Sample not available.

application/xml, text/xml

Sample:
<DeleteAttributesFromProductBackRequest>
  <CategoryId>2</CategoryId>
  <Attributes>
    <ProductAttribute>
      <AttributeId>1</AttributeId>
      <AttributeValueId>2</AttributeValueId>
    </ProductAttribute>
    <ProductAttribute>
      <AttributeId>1</AttributeId>
      <AttributeValueId>2</AttributeValueId>
    </ProductAttribute>
  </Attributes>
</DeleteAttributesFromProductBackRequest>

Response Information

Resource Description

HttpResponseMessage
NameDescriptionTypeAdditional information
Version

Version

None.

Content

HttpContent

None.

StatusCode

HttpStatusCode

None.

ReasonPhrase

string

None.

Headers

Collection of Object

None.

RequestMessage

HttpRequestMessage

None.

IsSuccessStatusCode

boolean

None.